Add missing SKL/BXT PCI-ID's

Bug #1577735 reported by Timo Aaltonen on 2016-05-03
8
This bug affects 1 person
Affects Status Importance Assigned to Milestone
libdrm (Ubuntu)
Medium
Timo Aaltonen
Trusty
Medium
Unassigned
Xenial
Medium
Unassigned
mesa (Ubuntu)
Medium
Unassigned
Xenial
Medium
Unassigned

Bug Description

[Impact]

Some GPU PCI-ID's are missing from libdrm (SKL, BXT) & mesa (BXT), these need to be added.

[Test case]

own such hw, run a desktop session and check that it's using native drivers

[Regression potential]

none

Timo Aaltonen (tjaalton) on 2016-05-03
Changed in libdrm (Ubuntu):
assignee: nobody → Timo Aaltonen (tjaalton)
summary: - Add missing SKL PCI-ID's
+ Add missing SKL/Broxton PCI-ID's
Timo Aaltonen (tjaalton) on 2016-05-03
description: updated
summary: - Add missing SKL/Broxton PCI-ID's
+ Add missing SKL/BXT PCI-ID's
Timo Aaltonen (tjaalton) on 2016-05-03
description: updated
Launchpad Janitor (janitor) wrote :

This bug was fixed in the package libdrm - 2.4.68-1

---------------
libdrm (2.4.68-1) unstable; urgency=medium

  * New upstream release. (LP: #1577735)

 -- Timo Aaltonen <email address hidden> Tue, 03 May 2016 14:30:06 +0300

Changed in libdrm (Ubuntu):
status: New → Fix Released

Hello Timo, or anyone else affected,

Accepted libdrm into xenial-proposed. The package will build now and be available at https://launchpad.net/ubuntu/+source/libdrm/2.4.67-1ubuntu0.16.04.1 in a few hours, and then in the -proposed repository.

Please help us by testing this new package. See https://wiki.ubuntu.com/Testing/EnableProposed for documentation how to enable and use -proposed. Your feedback will aid us getting this update out to other Ubuntu users.

If this package fixes the bug for you, please add a comment to this bug, mentioning the version of the package you tested, and change the tag from verification-needed to verification-done. If it does not fix the bug for you, please add a comment stating that, and change the tag to verification-failed. In either case, details of your testing will help us make a better decision.

Further information regarding the verification process can be found at https://wiki.ubuntu.com/QATeam/PerformingSRUVerification . Thank you in advance!

Changed in libdrm (Ubuntu Xenial):
status: New → Fix Committed
tags: added: verification-needed
Adam Conrad (adconrad) wrote :

Hello Timo, or anyone else affected,

Accepted libdrm into trusty-proposed. The package will build now and be available at https://launchpad.net/ubuntu/+source/libdrm/2.4.67-1ubuntu0.14.04.1 in a few hours, and then in the -proposed repository.

Please help us by testing this new package. See https://wiki.ubuntu.com/Testing/EnableProposed for documentation how to enable and use -proposed. Your feedback will aid us getting this update out to other Ubuntu users.

If this package fixes the bug for you, please add a comment to this bug, mentioning the version of the package you tested, and change the tag from verification-needed to verification-done. If it does not fix the bug for you, please add a comment stating that, and change the tag to verification-failed. In either case, details of your testing will help us make a better decision.

Further information regarding the verification process can be found at https://wiki.ubuntu.com/QATeam/PerformingSRUVerification . Thank you in advance!

Changed in libdrm (Ubuntu Trusty):
status: New → Fix Committed
Timo Aaltonen (tjaalton) on 2016-05-30
tags: added: verification-done
removed: verification-needed
Changed in libdrm (Ubuntu):
importance: Undecided → Medium
Changed in libdrm (Ubuntu Trusty):
importance: Undecided → Medium
Changed in libdrm (Ubuntu Xenial):
importance: Undecided → Medium
Martin Pitt (pitti) wrote :

@Timo: Please explain what you tested, and for which releases. Don't just flip the tag to v-done (this has bitten us several times in the past already). Thanks!

tags: added: verification-neededd
removed: verification-done
tags: added: verification-needed
removed: verification-neededd
Timo Aaltonen (tjaalton) wrote :

from bug #1586927:

"Thanks to @Timo's input, the issue is fixed by the libdrm release - 2.4.68 (the image is with 2.4.67) currently in the -proposed archive."

the machine in there has a pci-id which is missing, so compiz is not running with the native DRI driver..

Martin Pitt (pitti) wrote :

Which Ubuntu version did that apply to? 2.4.67 is in both trusty- and xenial-proposed. Also, if .67 is already on "the image" and does not fix the bug, then this can't be verification of this SRU as this updates *to* .67. Version 2.4.68 is only in yakkety.

Chih-Hsyuan Ho (chih) wrote :

We were using Ubuntu 16.04 for the test and the issue was indeed gone after applying what's in xenial-proposed. The info I gave on comment #5 is not correct. What we originally had is 2.4.67-1 (failed), and after applying xenial-proposed, it is 2.4.67-1ubuntu0.16.04.1(good) Sorry about the confusion.

Timo Aaltonen (tjaalton) wrote :

the trusty upload is needed for lts-x stack

testing for the private bug was done on xenial which already had 2.4.67-1, and no regressions seen here on an intel hw which was working before too.

Timo Aaltonen (tjaalton) wrote :

I think it has been verified enough this time..

tags: added: verification-done
removed: verification-needed
Martin Pitt (pitti) on 2016-06-02
tags: added: verification-done-xenial verification-needed
removed: verification-done
Launchpad Janitor (janitor) wrote :

This bug was fixed in the package libdrm - 2.4.67-1ubuntu0.16.04.1

---------------
libdrm (2.4.67-1ubuntu0.16.04.1) xenial; urgency=medium

  * Add missing SKL/BXT pci-id's (LP: #1577735)

 -- Timo Aaltonen <email address hidden> Tue, 03 May 2016 14:36:23 +0300

Changed in libdrm (Ubuntu Xenial):
status: Fix Committed → Fix Released
Martin Pitt (pitti) wrote :

OK, thanks for the update. Releasing xenial, trusty still needs to be tested.

Launchpad Janitor (janitor) wrote :

This bug was fixed in the package libdrm - 2.4.67-1ubuntu0.14.04.1

---------------
libdrm (2.4.67-1ubuntu0.14.04.1) trusty; urgency=medium

  * Backport xenial package to trusty.
  * Adjust revert-65041c4a1.diff to only keep drmAllocCopy, though it
    has never been in the header file and not part of API.

libdrm (2.4.67-1ubuntu0.16.04.1) xenial; urgency=medium

  * Add missing SKL/BXT pci-id's (LP: #1577735)

libdrm (2.4.67-1) unstable; urgency=medium

  * New upstream release.
  * patches: Refreshed.
  * libdrm-amdgpu1.symbols: Updated.

libdrm (2.4.66-2) unstable; urgency=medium

  * Update libdrm-exynos1.symbols and shlibs.

libdrm (2.4.66-1) unstable; urgency=medium

  * New upstream release.
  * Update symbols file and bump shlibs for libdrm2.
  * Update libdrm-intel1.symbols and shlibs.
  * Update libdrm-nouveau2.symbols and shlibs.
  * Drop obsolete Replaces from pre-wheezy.
  * Add myself to Uploaders.

libdrm (2.4.65-3) unstable; urgency=medium

  * rules: Bump freedreno shlib back to 2.4.65.

libdrm (2.4.65-2) unstable; urgency=medium

  [ Andreas Boll ]
  * Update libdrm-freedreno1.symbols and shlibs.
  * Drop Debian revision from new symbols in libdrm2.symbols.

  [ Fathi Boudra ]
  * Enable freedreno build on arm64 architecture.

libdrm (2.4.65-1) unstable; urgency=medium

  [ Andreas Boll ]
  * New upstream release.
  * Update debian/upstream/signing-key.asc.
  * Update symbols file and bump shlibs for libdrm2.
  * Enable libdrm-amdgpu1 on kfreebsd-*.
  * Fix Vcs-* fields.
  * Add upstream url.

 -- Timo Aaltonen <email address hidden> Tue, 03 May 2016 14:16:48 +0300

Changed in libdrm (Ubuntu Trusty):
status: Fix Committed → Fix Released
Timo Aaltonen (tjaalton) on 2016-08-03
description: updated
no longer affects: mesa (Ubuntu Trusty)
description: updated
Timo Aaltonen (tjaalton) on 2016-08-03
Changed in mesa (Ubuntu):
status: New → Fix Released
Brian Murray (brian-murray) wrote :

Hello Timo, or anyone else affected,

Accepted mesa into xenial-proposed. The package will build now and be available at https://launchpad.net/ubuntu/+source/mesa/11.2.0-1ubuntu2.2 in a few hours, and then in the -proposed repository.

Please help us by testing this new package. See https://wiki.ubuntu.com/Testing/EnableProposed for documentation how to enable and use -proposed. Your feedback will aid us getting this update out to other Ubuntu users.

If this package fixes the bug for you, please add a comment to this bug, mentioning the version of the package you tested, and change the tag from verification-needed to verification-done. If it does not fix the bug for you, please add a comment stating that, and change the tag to verification-failed. In either case, details of your testing will help us make a better decision.

Further information regarding the verification process can be found at https://wiki.ubuntu.com/QATeam/PerformingSRUVerification . Thank you in advance!

Changed in mesa (Ubuntu Xenial):
status: New → Fix Committed
Changed in mesa (Ubuntu):
importance: Undecided → Medium
Changed in mesa (Ubuntu Xenial):
importance: Undecided → Medium
Timo Aaltonen (tjaalton) on 2016-08-17
tags: added: verification-done
removed: verification-needed

The verification of the Stable Release Update for mesa has completed successfully and the package has now been released to -updates. Subsequently, the Ubuntu Stable Release Updates Team is being unsubscribed and will not receive messages about this bug report. In the event that you encounter a regression using the package from -updates please report a new bug using ubuntu-bug and tag the bug report regression-update so we can easily find any regressions.

Launchpad Janitor (janitor) wrote :

This bug was fixed in the package mesa - 11.2.0-1ubuntu2.2

---------------
mesa (11.2.0-1ubuntu2.2) xenial; urgency=medium

  * bxt-add-2x6-variant.diff:
    Update BXT pciids. (LP: #1577735)
  * add-more-kbl-pciids.diff,
    remove-obsolete-kbl-pciids.diff:
    Update i965 pciids. (LP: #1600124)

 -- Timo Aaltonen <email address hidden> Wed, 03 Aug 2016 11:45:31 +0300

Changed in mesa (Ubuntu Xenial):
status: Fix Committed → Fix Released
To post a comment you must log in.
This report contains Public information  Edit
Everyone can see this information.

Other bug subscribers